package com.community.huiju.model;

import java.util.Date;
import java.util.List;

public class TpRentalHouse {
    /**
     * ID
     */
    private Integer id;

    /**
     * 房间名称
     */
    private String houseName;

    /**
     * 房屋租金
     */
    private String rentalPrice;

    /**
     * 面积
     */
    private String area;

    /**
     * 出租方式 1 是整租 2是合租
     */
    private String rentalType;

    /**
     * 户型 1 是一室居 2是二室居 3 是三室局 4 是四室居及以上
     */
    private String houseType;

    /**
     * 上架状态 1 是已上架 2是已下架
     */
    private String houseStatus;

    /**
     * 楼层
     */
    private String houseLevel;

    /**
     * 标签
     */
    private String houseLabel;

    /**
     * 权重
     */
    private Integer sort;

    /**
     * 联系电话
     */
    private String houseTel;

    /**
     * 小区地址
     */
    private String communityAddress;

    /**
     * 小区经度
     */
    private String communityLongitude;

    /**
     * 小区纬度
     */
    private String communityLatitude;

    /**
     * 床
     */
    private String bed;

    /**
     * 衣柜
     */
    private String wardrobe;

    /**
     * 餐桌
     */
    private String diningTable;

    /**
     *电脑桌
     */
    private String computerDesk;

    private String waterHeater;

    /**
     * 椅子
     */
    private String chair;

    /**
     * 洗衣机
     */
    private String washingMachine;

    /**
     * 空调
     */
    private String airConditioning;

    /**
     * 台灯
     */
    private String tableLamp;

    /**
     * 有
     */
    private String wifi;

    /**
     * 微波炉
     */
    private String microwaveOven;

    /**
     * 天然气
     */
    private String naturalGas;

    /**
     * 创建时间
     */
    private Date createDate;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private Date updateDate;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 房屋介绍
     */
    private String houseIntroduction;

    /**
     * 出租房屋首页列表图片
     * @return
     */
    private String homeImg;

    /**
     * 标签数组
     * @return
     */
    private List<String> houseLabelArr;;

    public List<String> getHouseLabelArr() {
        return houseLabelArr;
    }

    public void setHouseLabelArr(List<String> houseLabelArr) {
        this.houseLabelArr = houseLabelArr;
    }

    public String getHomeImg() {
        return homeImg;
    }

    public void setHomeImg(String homeImg) {
        this.homeImg = homeImg;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getHouseName() {
        return houseName;
    }

    public void setHouseName(String houseName) {
        this.houseName = houseName == null ? null : houseName.trim();
    }

    public String getRentalPrice() {
        return rentalPrice;
    }

    public void setRentalPrice(String rentalPrice) {
        this.rentalPrice = rentalPrice == null ? null : rentalPrice.trim();
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area == null ? null : area.trim();
    }

    public String getRentalType() {
        return rentalType;
    }

    public void setRentalType(String rentalType) {
        this.rentalType = rentalType == null ? null : rentalType.trim();
    }

    public String getHouseType() {
        return houseType;
    }

    public void setHouseType(String houseType) {
        this.houseType = houseType == null ? null : houseType.trim();
    }

    public String getHouseStatus() {
        return houseStatus;
    }

    public void setHouseStatus(String houseStatus) {
        this.houseStatus = houseStatus == null ? null : houseStatus.trim();
    }

    public String getHouseLevel() {
        return houseLevel;
    }

    public void setHouseLevel(String houseLevel) {
        this.houseLevel = houseLevel == null ? null : houseLevel.trim();
    }

    public String getHouseLabel() {
        return houseLabel;
    }

    public void setHouseLabel(String houseLabel) {
        this.houseLabel = houseLabel == null ? null : houseLabel.trim();
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getHouseTel() {
        return houseTel;
    }

    public void setHouseTel(String houseTel) {
        this.houseTel = houseTel == null ? null : houseTel.trim();
    }

    public String getCommunityAddress() {
        return communityAddress;
    }

    public void setCommunityAddress(String communityAddress) {
        this.communityAddress = communityAddress == null ? null : communityAddress.trim();
    }

    public String getCommunityLongitude() {
        return communityLongitude;
    }

    public void setCommunityLongitude(String communityLongitude) {
        this.communityLongitude = communityLongitude == null ? null : communityLongitude.trim();
    }

    public String getCommunityLatitude() {
        return communityLatitude;
    }

    public void setCommunityLatitude(String communityLatitude) {
        this.communityLatitude = communityLatitude == null ? null : communityLatitude.trim();
    }

    public String getBed() {
        return bed;
    }

    public void setBed(String bed) {
        this.bed = bed == null ? null : bed.trim();
    }

    public String getWardrobe() {
        return wardrobe;
    }

    public void setWardrobe(String wardrobe) {
        this.wardrobe = wardrobe == null ? null : wardrobe.trim();
    }

    public String getDiningTable() {
        return diningTable;
    }

    public void setDiningTable(String diningTable) {
        this.diningTable = diningTable == null ? null : diningTable.trim();
    }

    public String getComputerDesk() {
        return computerDesk;
    }

    public void setComputerDesk(String computerDesk) {
        this.computerDesk = computerDesk == null ? null : computerDesk.trim();
    }

    public String getWaterHeater() {
        return waterHeater;
    }

    public void setWaterHeater(String waterHeater) {
        this.waterHeater = waterHeater == null ? null : waterHeater.trim();
    }

    public String getChair() {
        return chair;
    }

    public void setChair(String chair) {
        this.chair = chair == null ? null : chair.trim();
    }

    public String getWashingMachine() {
        return washingMachine;
    }

    public void setWashingMachine(String washingMachine) {
        this.washingMachine = washingMachine == null ? null : washingMachine.trim();
    }

    public String getAirConditioning() {
        return airConditioning;
    }

    public void setAirConditioning(String airConditioning) {
        this.airConditioning = airConditioning == null ? null : airConditioning.trim();
    }

    public String getTableLamp() {
        return tableLamp;
    }

    public void setTableLamp(String tableLamp) {
        this.tableLamp = tableLamp == null ? null : tableLamp.trim();
    }

    public String getWifi() {
        return wifi;
    }

    public void setWifi(String wifi) {
        this.wifi = wifi == null ? null : wifi.trim();
    }

    public String getMicrowaveOven() {
        return microwaveOven;
    }

    public void setMicrowaveOven(String microwaveOven) {
        this.microwaveOven = microwaveOven == null ? null : microwaveOven.trim();
    }

    public String getNaturalGas() {
        return naturalGas;
    }

    public void setNaturalGas(String naturalGas) {
        this.naturalGas = naturalGas == null ? null : naturalGas.trim();
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public String getHouseIntroduction() {
        return houseIntroduction;
    }

    public void setHouseIntroduction(String houseIntroduction) {
        this.houseIntroduction = houseIntroduction == null ? null : houseIntroduction.trim();
    }
}