package com.community.huiju.controller;


import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.service.IHotelService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import com.community.huiju.common.base.BaseController;

import javax.servlet.http.HttpSession;

/**
 * <p>
 * 酒店 前端控制器
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@RestController
@RequestMapping("/")
@Api(value = "", description = "酒店管理API")
public class HotelController extends BaseController {
    @Autowired
    private IHotelService iHotelService;

    @ApiOperation(value = "房屋列表", notes = "房屋列表")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body",dataType = "String",name = "parameter",value = "roomNo:房间号" +
                    "roomName:房间名称" +
                    "price:价格" +
                    "roomStatus:(1:是已上架 2:是已下架)" +
                    "beginTime:开始时间"+
                    "endTime:结束时间"+
                    "sort:权重")
    })
    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "token")
    @RequestMapping(value = "/hotelRoomList", method = RequestMethod.POST)
    public ResponseBean hotelRoom(@RequestBody String parameter, HttpSession session){
        UserElement userElement = getUserElement(session);
        ResponseBean  responseBean = iHotelService.hotelRoomLiset(parameter,userElement.getCommunityId());
        return responseBean;
    }

    @ApiOperation(value = "添加房间", notes = "添加房间")
    @ApiImplicitParams({
            @ApiImplicitParam(paramType = "body",dataType = "String",name = "parameter",value = "roomNo:房间号" +
                    "roomName:房间名称" +
                    "price:价格" +
                    "roomStatus:(1:是已上架 2:是已下架)" +
                    "remark:(描述)"+
                    "sort:权重")
    })
    @ApiImplicitParam(paramType = "header", dataTypeClass = String.class, name = "X-Auth-Token", value = "token")
    @RequestMapping(value = "/hotelRoomAdd", method = RequestMethod.POST)
    public ResponseBean hotelRoomAdd(@RequestBody String parameter, HttpSession session){
        UserElement userElement = getUserElement(session);
        ResponseBean  responseBean = iHotelService.hotelRoomAdd(parameter,userElement);
        return responseBean;
    }
}
