package com.community.huiju.model;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 出租公寓表
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TpRentalHouse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 房间名称
     */
    private String houseName;

    /**
     * 房屋租金
     */
    private String rentalPrice;

    /**
     * 面积
     */
    private String area;

    /**
     * 出租方式 1 是整租 2是合租
     */
    private String rentalType;

    /**
     * 户型 1 是一室居 2是二室居 3 是三室局 4 是四室居及以上
     */
    private String houseType;

    /**
     * 上架状态 1 是已上架 2是已下架
     */
    private String houseStatus;

    /**
     * 楼层
     */
    private String houseLevel;

    /**
     * 标签
     */
    private String houseLabel;

    /**
     * 权重
     */
    private Integer sort;

    /**
     * 联系电话
     */
    private String houseTel;

    /**
     * 小区地址
     */
    private String communityAddress;

    /**
     * 小区经度
     */
    private String communityLongitude;

    /**
     * 小区纬度
     */
    private String communityLatitude;

    /**
     * 房屋介绍
     */
    private String houseIntroduction;

    /**
     * 床   1 有
     */
    private String bed;

    /**
     * 衣柜 1 有
     */
    private String wardrobe;

    /**
     * 餐桌 1 有
     */
    private String diningTable;

    /**
     * 电脑桌 1 有
     */
    private String computerDesk;

    /**
     * 热水器 1 有
     */
    private String waterHeater;

    /**
     * 椅子 1 有
     */
    private String chair;

    /**
     *  洗衣机 1 有
     */
    private String washingMachine;

    /**
     * 空调 1 有
     */
    private String airConditioning;

    /**
     * 台灯 1 有
     */
    private String tableLamp;

    /**
     * WiFi 1 有
     */
    @TableField("WiFi")
    private String WiFi;

    /**
     * 微波炉 1 有
     */
    private String microwaveOven;

    /**
     * 天然气 1 有
     */
    private String naturalGas;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 创建人
     */
    private Integer createUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 更新人
     */
    private Integer updateUser;


}
