package com.community.huiju.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.commom.mode.ResponseBean;
import com.community.commom.session.UserElement;
import com.community.huiju.dao.HotelMapper;
import com.community.huiju.dao.HotelRoomMapper;
import com.community.huiju.dao.UserMapper;
import com.community.huiju.model.Hotel;
import com.community.huiju.model.HotelRoom;
import com.community.huiju.model.TpTicket;
import com.community.huiju.model.User;
import com.community.huiju.service.IHotelService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 酒店 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-05-13
 */
@Service
public class HotelServiceImpl extends ServiceImpl<HotelMapper, Hotel> implements IHotelService {

    @Autowired
    private HotelRoomMapper tpHotelRoomMapper;

    @Autowired
    private  HotelMapper tpHotelMapper;

    @Autowired
    private UserMapper tpUserMapper;
    @Override
    public ResponseBean hotelRoomLiset(String parameter, Integer communityId) {
        ResponseBean response= new ResponseBean<>();
        HotelRoom hotelRoom= JSONObject.parseObject(parameter, HotelRoom.class);

        JSONObject object= JSONObject.parseObject(parameter);
        Integer pageNum = object.getInteger("pageNum");
        Integer pageSize = object.getInteger("pageSize");

        Date beginTime = object.getDate("beginTime");
        Date endTime = object.getDate("endTime");

        Page<HotelRoom> page = new Page<>();
        page.setSize(pageSize == null ? 10 : pageSize);
        page.setCurrent(pageNum == null ? 1 : pageNum);

        IPage<HotelRoom> pageInfo = tpHotelRoomMapper.hotelRoomLiset(page,hotelRoom,beginTime,endTime,communityId);
        List<HotelRoom> hotelRoomList = pageInfo.getRecords();
        for (HotelRoom hotelRoomS:hotelRoomList){
            User user= tpUserMapper.selectById(hotelRoomS.getUpdateUser());
            if (null != user){
                hotelRoomS.setEditUser(user.getUserName());
            }
        }
        HashMap map=new HashMap<>();
        map.put("list",hotelRoomList);
        map.put("total", pageInfo.getTotal());
        map.put("pageNum", pageInfo.getCurrent());
        map.put("pageSize", pageInfo.getSize());
        response.addSuccess(map);
        return response;
    }

    @Override
    public ResponseBean hotelRoomAdd(String parameter, UserElement userElement) {
        ResponseBean response= new ResponseBean<>();
        HotelRoom hotelRoom= JSONObject.parseObject(parameter, HotelRoom.class);
        Hotel hotel= tpHotelMapper.selectHotel(userElement.getCommunityId());
        hotelRoom.setCommunityId(userElement.getCommunityId())
                .setHotelId(hotel.getId())
                .setPrice(String.valueOf(hotelRoom.getPrice()))
                .setCreateDate(LocalDateTime.now())
                .setCreateUser(userElement.getId());
        tpHotelRoomMapper.insert(hotelRoom);
        response.addSuccess("成功");
        return response;
    }
}
